> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll and claim an approved device API key once



## OpenAPI

````yaml /openapi.json post /api/v1/device-authorizations/{code}/token
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/device-authorizations/{code}/token:
    post:
      summary: Poll and claim an approved device API key once
      operationId: claimDeviceAuthorization
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            minLength: 8
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceAuthorizationToken'
        '410':
          description: Authorization expired or already claimed
      security: []
components:
  schemas:
    DeviceAuthorizationToken:
      anyOf:
        - type: object
          properties:
            status:
              type: string
              enum:
                - pending
          required:
            - status
          additionalProperties: false
        - type: object
          properties:
            status:
              type: string
              enum:
                - denied
          required:
            - status
          additionalProperties: false
        - type: object
          properties:
            status:
              type: string
              enum:
                - approved
            apiKey:
              type: string
            workspace:
              type: string
          required:
            - status
            - apiKey
            - workspace
          additionalProperties: false

````